# ⏭️ Sequel.py 🐍

## Table Of Contents

- [Description](#description)
- [Features](#features)
- [Installation](#installation)
- [Usage](#usage)
- [License](#license)
- [Contributing](#contributing)
- [Questions](#questions)

## Description

`Sequel.py` is a semi-opinionated framework for building a fullstack web application in python inspired by [next.js](https://github.com/vercel/next.js/) and [T3-App](https://create.t3.gg/).

This repo was made as part of the final project for MPCS 51042-1 Python Programming at the University of Chicago.

## Features

📂 File-based routing for API and client-side views

💿 Server Side Rendering

🛠️A CLI tool for creating a `Sequel.py` app, [create-sequel-app](../create-sequel-app/README.md).

📦 Build component based declarative UI with [React.py](https://github.com/reactive-python/)

🪖 Compatible with HTML, HTMX, CSS, and Jinja templates!

🧪 Built on top of [Flask](https://flask.palletsprojects.com/) to support a
variety of other server-side libraries.

## Installation

See [create-sequel-app](../create-sequel-app/README.md) for installation instructions.

## Usage

See [the docs](./docs/toc.md) for usage instructions.

## License

MIT

## Contributing

Feature requests and PR's are welcome!

## Questions:

Feel free to open an issue or a discussion on GitHub.
